extends Scene


func _on_graveyard_interacted() -> void:
	$kq4_016_graveyard.default_script(self)


func _on_028_interacted() -> void:
	$kq4_028_mine_entrance.default_script(self)


func _on_023_interacted() -> void:
	$kq4_023_forest_path_with_cottage.default_script(self)


func _on_021_interacted() -> void:
	$kq4_021_bridge_over_stream.default_script(self)


func _on_room_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("You have come upon a cute little house, built right into a huge tree! An old water wheel, attached to the house, goes unused beside the little river that flows gently before the house.")
	).build(self, "_on_script_complete"))


func _on_cottage_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("The cottage is built into a massive old tree. It looks like a gnome might live here.")
	).build(self, "_on_script_complete"))
